curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/coverage-types/{coverageTypeId}/fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
"reportDate",
"eventDescription",
"settlementDemand",
"indemnityPaid"
]
}
'{
"coverageTypeId": "G5_fine_arts",
"coverageTypeName": "Fine Arts",
"fieldsSet": 4
}Coverage Types
Set Coverage Type Fields
Sets the fields associated with a company-specific coverage type.
This is a replace operation — the provided field list completely replaces all existing fields for the coverage type. Pass an empty array to remove all fields. Duplicate field keys in the request are automatically deduplicated.
Only company-specific coverage types can be modified. Attempting to modify a global (shared) coverage type returns a 403 error.
Required permission: company:update
POST
/
api
/
external
/
companies
/
{companyId}
/
coverage-types
/
{coverageTypeId}
/
fields
curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/coverage-types/{coverageTypeId}/fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
"reportDate",
"eventDescription",
"settlementDemand",
"indemnityPaid"
]
}
'{
"coverageTypeId": "G5_fine_arts",
"coverageTypeName": "Fine Arts",
"fieldsSet": 4
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?
